Subject: Re: [PATCH 3/4] net: macb: Add pm runtime support

From: Andrew Lunn <[email-masked]>
Date: Wed, 31 Oct 2018 16:47:33 +0100

> Yes, I understand. But I thought I'd handle it when we have a separate
> MDIO bus driver. As of now, with macb, I do not see a way, for ex.,
> for MAC1 to access MDIO0 when MAC0 is suspended.
> However, I will work a bit more on this solution.

You could look at the FEC driver. Its runtime suspend works well for
me, and i've some complex setups, with two FEC interfaces, PHY and
switches hanging off various MDIO busses etc.

	 Andrew